### Name: LL
### Title: Homothetic Production Function: Main Estimator
### Aliases: LL
### Keywords: smooth regression

### ** Examples


data(ecu)
##This part simply does some data sorting & trimming
xlnK <- ecu$lnk
xlnL <- ecu$lnl
xlnY <- ecu$lny
xqKL <- quantile(exp(xlnK)/exp(xlnL),  probs=c(2.5,97.5)/100)
yx <- cbind(xlnY,xlnK,xlnL)
tlnklnl <- yx[((exp(yx[,2])/exp(yx[,3]))>=xqKL[1]) 
              & ((exp(yx[,2])/exp(yx[,3]))<=xqKL[2]),]
Y<-tlnklnl[,1]
K<-exp(tlnklnl[,2])/median(exp(tlnklnl[,2]))
L<-exp(tlnklnl[,3])/median(exp(tlnklnl[,3]))

LLb<-LL(xx=K,zz=L,yy=Y,xxo=median(K),zzo=median(L),k=80,j=100)

#win.graph()
nf <- layout(matrix(c(1,2,1,2),2,2, byrow=TRUE),respect=TRUE)
plot(log(K)-log(L),log(LLb$g)-log(L),pch=3,xlab="ln(K/L)"
     ,ylab="ln(g(K/L,1))",main="Homogeneous Component g")
plot(log(LLb$g),LLb$h,xlab="ln(g)",pch=3,ylab="h(g)"
     ,main="Nonhomogeneous Component h",ylim=c(min(min(LLb$h)
     ,min(LLb$r)),max(max(LLb$h),max(LLb$r))))
points(log(LLb$g),LLb$r,type="p",pch=1,col="blue",lwd=2)
legend(-0.5,15.5,c("Nonparametric","Kernel Regression")
       ,merge=TRUE,lty=c(1,-1),pch=c(3,1),lwd=c(1,2)
       ,col=c("black","blue"),cex=0.95)



